@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800&display=swap');

body {
    margin: 0;
    font-family: 'Montserrat';
}

:root {
    --text1:#4E5150;
    --text2: #A9A9A9;
}

.template {
    max-width: 94vw;
}

.header-container {
    width: 20rem;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    /* background-color: rgba(0, 255, 255, 0.37); */
}

.header-section1-container {
    width: 16rem;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    /* background-color: rgba(127, 255, 212, 0.541); */
}

.header-section1-container figure {
    display: flex;
    justify-content: center;
}

.header-section1-container figure img {
    width: 12rem;
    border-radius: 16px;
}

h2 {
    color: var(--text1);
}

.header-section1-container p {
    color: var(--text2);
}


.header-section1-container h2, .header-section1-container p{
    text-align: center;
    margin: 2px auto;
}

.header-section2-container {
    width: inherit;
    /* background-color: antiquewhite; */
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 16px;
    margin-top: 16px;
}

.header-section2-container span {
    width: 100px;
    height: 67px;
    background: #E5E5E5;
    border-radius: 12px;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.header-section2-container p {
    transform: translateY(80%);
    margin: 0px auto;
    text-align: center;
    display: flex;
    align-items: center;
}

.header-section2-container p:nth-of-type(1) {
    color: var(--text1);
}

.header-section2-container p:nth-of-type(2) {
    color: var(--text2);
}

.main-container {
    width: 60rem;
    height: auto;
    /* background-color: #4E5150; */
    margin: 40px auto;
    display: grid;
    grid-template-areas:    "photo1 photo2 photo2"
                            "photo3 photo3 photo4"
                            "photo5 photo6 photo4";
    grid-gap: 20px;
}

.main-container img {
    width: 100%;
    height: 100%;
    border-radius: 15px;
}

.photo1 {
    grid-area: photo1;
}

.photo2 {
    grid-area: photo2;
}

.photo3 {
    grid-area: photo3;
}

.photo4 {
    grid-area: photo4;
}

.photo6 {
    grid-area: photo6;
}

footer {
    height: 8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--text1);
}

footer a {
    color: #eca2a2;
}

@media (max-width: 640px) {
    .main-container {
        grid-gap: 6px;
    }
}